import request from '@/utils/request'
const baseUrl = '/api/upcloud-base-wh-control-mysql-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/dispatchswitch/save-dispatchswitch',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function stationupdate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/update',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function stationdelete(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/delete',
    method: 'post',
    //   data: params,
    params: params,
  })
}

//调度
// /carryinterfacetask/clean-carry
export function dispatchswitch(params) {
  return request({
    url: baseUrl + '/dispatchswitch/update-dispatchswitch',
    method: 'post',
    data: params,
    // params: params
  })
}
